package com.ruoyi.back.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专业线对象 pd_enrolldata_enter_profession
 * 
 * @author voluntary
 * @date 2022-12-09
 */
public class PdEnrolldataEnterProfession extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dataModeType;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String enterNum;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String provinceCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long year;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String batch;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String course;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String professionName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String professionEnrollCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String text;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String eduLevel;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String majorCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String uCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String collegeEnrollCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String collegeCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String collegeName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long planNum;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long enterLine;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long maxScore;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long minScore;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long avgScore;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long maxRank;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long minRank;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long avgRank;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String chooseSubject;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String chooseSubject2;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String chooseSubjectText;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String chooseSubjectRule;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String zjText;

    /** 省份 */
    @Excel(name = "省份")
    private String location;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setDataModeType(String dataModeType) 
    {
        this.dataModeType = dataModeType;
    }

    public String getDataModeType() 
    {
        return dataModeType;
    }
    public void setEnterNum(String enterNum) 
    {
        this.enterNum = enterNum;
    }

    public String getEnterNum() 
    {
        return enterNum;
    }
    public void setProvinceCode(String provinceCode) 
    {
        this.provinceCode = provinceCode;
    }

    public String getProvinceCode() 
    {
        return provinceCode;
    }
    public void setYear(Long year) 
    {
        this.year = year;
    }

    public Long getYear() 
    {
        return year;
    }
    public void setBatch(String batch) 
    {
        this.batch = batch;
    }

    public String getBatch() 
    {
        return batch;
    }
    public void setCourse(String course) 
    {
        this.course = course;
    }

    public String getCourse() 
    {
        return course;
    }
    public void setProfessionName(String professionName) 
    {
        this.professionName = professionName;
    }

    public String getProfessionName() 
    {
        return professionName;
    }
    public void setProfessionEnrollCode(String professionEnrollCode) 
    {
        this.professionEnrollCode = professionEnrollCode;
    }

    public String getProfessionEnrollCode() 
    {
        return professionEnrollCode;
    }
    public void setText(String text) 
    {
        this.text = text;
    }

    public String getText() 
    {
        return text;
    }
    public void setEduLevel(String eduLevel) 
    {
        this.eduLevel = eduLevel;
    }

    public String getEduLevel() 
    {
        return eduLevel;
    }
    public void setMajorCode(String majorCode) 
    {
        this.majorCode = majorCode;
    }

    public String getMajorCode() 
    {
        return majorCode;
    }
    public void setuCode(String uCode) 
    {
        this.uCode = uCode;
    }

    public String getuCode() 
    {
        return uCode;
    }
    public void setCollegeEnrollCode(String collegeEnrollCode) 
    {
        this.collegeEnrollCode = collegeEnrollCode;
    }

    public String getCollegeEnrollCode() 
    {
        return collegeEnrollCode;
    }
    public void setCollegeCode(String collegeCode) 
    {
        this.collegeCode = collegeCode;
    }

    public String getCollegeCode() 
    {
        return collegeCode;
    }
    public void setCollegeName(String collegeName) 
    {
        this.collegeName = collegeName;
    }

    public String getCollegeName() 
    {
        return collegeName;
    }
    public void setPlanNum(Long planNum) 
    {
        this.planNum = planNum;
    }

    public Long getPlanNum() 
    {
        return planNum;
    }
    public void setEnterLine(Long enterLine) 
    {
        this.enterLine = enterLine;
    }

    public Long getEnterLine() 
    {
        return enterLine;
    }
    public void setMaxScore(Long maxScore) 
    {
        this.maxScore = maxScore;
    }

    public Long getMaxScore() 
    {
        return maxScore;
    }
    public void setMinScore(Long minScore) 
    {
        this.minScore = minScore;
    }

    public Long getMinScore() 
    {
        return minScore;
    }
    public void setAvgScore(Long avgScore) 
    {
        this.avgScore = avgScore;
    }

    public Long getAvgScore() 
    {
        return avgScore;
    }
    public void setMaxRank(Long maxRank) 
    {
        this.maxRank = maxRank;
    }

    public Long getMaxRank() 
    {
        return maxRank;
    }
    public void setMinRank(Long minRank) 
    {
        this.minRank = minRank;
    }

    public Long getMinRank() 
    {
        return minRank;
    }
    public void setAvgRank(Long avgRank) 
    {
        this.avgRank = avgRank;
    }

    public Long getAvgRank() 
    {
        return avgRank;
    }
    public void setChooseSubject(String chooseSubject) 
    {
        this.chooseSubject = chooseSubject;
    }

    public String getChooseSubject() 
    {
        return chooseSubject;
    }
    public void setChooseSubject2(String chooseSubject2) 
    {
        this.chooseSubject2 = chooseSubject2;
    }

    public String getChooseSubject2() 
    {
        return chooseSubject2;
    }
    public void setChooseSubjectText(String chooseSubjectText) 
    {
        this.chooseSubjectText = chooseSubjectText;
    }

    public String getChooseSubjectText() 
    {
        return chooseSubjectText;
    }
    public void setChooseSubjectRule(String chooseSubjectRule) 
    {
        this.chooseSubjectRule = chooseSubjectRule;
    }

    public String getChooseSubjectRule() 
    {
        return chooseSubjectRule;
    }
    public void setZjText(String zjText) 
    {
        this.zjText = zjText;
    }

    public String getZjText() 
    {
        return zjText;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataModeType", getDataModeType())
            .append("enterNum", getEnterNum())
            .append("provinceCode", getProvinceCode())
            .append("year", getYear())
            .append("batch", getBatch())
            .append("course", getCourse())
            .append("professionName", getProfessionName())
            .append("professionEnrollCode", getProfessionEnrollCode())
            .append("text", getText())
            .append("remark", getRemark())
            .append("eduLevel", getEduLevel())
            .append("majorCode", getMajorCode())
            .append("uCode", getuCode())
            .append("collegeEnrollCode", getCollegeEnrollCode())
            .append("collegeCode", getCollegeCode())
            .append("collegeName", getCollegeName())
            .append("planNum", getPlanNum())
            .append("enterLine", getEnterLine())
            .append("maxScore", getMaxScore())
            .append("minScore", getMinScore())
            .append("avgScore", getAvgScore())
            .append("maxRank", getMaxRank())
            .append("minRank", getMinRank())
            .append("avgRank", getAvgRank())
            .append("chooseSubject", getChooseSubject())
            .append("chooseSubject2", getChooseSubject2())
            .append("chooseSubjectText", getChooseSubjectText())
            .append("chooseSubjectRule", getChooseSubjectRule())
            .append("zjText", getZjText())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("location", getLocation())
            .toString();
    }
}
